/**
 * Copyright (c) 2020 fumeiai All rights reserved.
 *
 *
 *
 * 版权所有，侵权必究！
 */

package com.lz.common.utils;

/**
 * 常量
 *
 * @author Mark sunlightcs@gmail.com
 */
public class Constant {
	/** 超级管理员ID */
	public static final int SUPER_ADMIN = 1;
    /**
     * 当前页码
     */
    public static final String PAGE = "page";
    /**
     * 每页显示记录数
     */
    public static final String LIMIT = "limit";
    /**
     * 排序字段
     */
    public static final String ORDER_FIELD = "sidx";
    /**
     * 排序方式
     */
    public static final String ORDER = "order";
    /**
     *  升序
     */

    public static final int SUCCEED_CODE_VALUE = 200; // 成功 插入 、删除 更新 修改

    public static final String ASC = "asc";

    public static final String REGEX_MOBILE = "^(1[3-9][0-9])\\d{8}$";

    public static final String FEI_SHU_ROBOT_TOKEN = "lz_fei_shu_robot_token";

    public static final String INVELOMENT_TYPE_TEST = "dev";

    public static final String SING = "【霖梓控股】";

    /**
	 * 菜单类型
	 *
	 * @author chenshun
	 * @email sunlightcs@gmail.com
	 * @date 2016年11月15日 下午1:24:29
	 */
    public enum MenuType {
        /**
         * 目录
         */
    	CATALOG(0),
        /**
         * 菜单
         */
        MENU(1),
        /**
         * 按钮
         */
        BUTTON(2);

        private int value;

        MenuType(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }

    /**
     * 定时任务状态
     *
     * @author chenshun
     * @email sunlightcs@gmail.com
     * @date 2016年12月3日 上午12:07:22
     */
    public enum ScheduleStatus {
        /**
         * 正常
         */
    	NORMAL(0),
        /**
         * 暂停
         */
    	PAUSE(1);

        private int value;

        ScheduleStatus(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }

    /**
     * 云服务商
     */
    public enum CloudService {
        /**
         * 七牛云
         */
        QINIU(1),
        /**
         * 阿里云
         */
        ALIYUN(2),
        /**
         * 腾讯云
         */
        QCLOUD(3);

        private int value;

        CloudService(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }


    public static final String OPERATION_SUCCESS = "操作成功";

    public static final String OPERATION_FAIL = "操作失败";


    public static final int FAIL_CODE_VALUE = 400; // 失败 插入 、删除 更新 修改



    public static final String INVELOMENT_TYPE_DEV = "dev";
    public static final String INVELOMENT_TYPE_TEST1 = "test1";
    public static final String INVELOMENT_TYPE_TEST2 = "test2";
    public static final String INVELOMENT_TYPE_TEST3 = "test3";
    public static final String INVELOMENT_TYPE_ONLINE = "online";
    public static final String INVELOMENT_TYPE_PRE_ENV = "preissue";
    public static final String FORMAL_APP_IDENTIFY = "www";


}
